<?php
// ตั้งค่าการเชื่อมต่อฐานข้อมูล
$host = 'localhost';
$dbname = 'filmz_test';
$username = 'filmz_test';
$password = 'Test1220!!!';

// สร้างการเชื่อมต่อกับฐานข้อมูล
try {
    $pdo = new PDO("mysql:host=$host;dbname=$dbname", $username, $password);
    $pdo->setAttribute(PDO::ATTR_ERRMODE, PDO::ERRMODE_EXCEPTION);
} catch (PDOException $e) {
    die("Could not connect to the database $dbname : " . $e->getMessage());
}

// ทดสอบคำสั่ง SELECT
try {
    $start_select_time = microtime(true);
    $stmt = $pdo->query("SELECT * FROM test_table");
    $rows = $stmt->fetchAll(PDO::FETCH_ASSOC);
    $end_select_time = microtime(true);
    $select_time = $end_select_time - $start_select_time;
    echo "SELECT query time: " . ($select_time * 1000) . " ms<br>";
} catch (PDOException $e) {
    echo "Error in SELECT query: " . $e->getMessage() . "<br>";
}

// ทดสอบคำสั่ง INSERT
try {
    $start_insert_time = microtime(true);
    $stmt = $pdo->prepare("INSERT INTO test_table (name, value) VALUES (:name, :value)");
    $stmt->execute(['name' => 'Test Name', 'value' => 'Test Value']);
    $end_insert_time = microtime(true);
    $insert_time = $end_insert_time - $start_insert_time;
    echo "INSERT query time: " . ($insert_time * 1000) . " ms<br>";
} catch (PDOException $e) {
    echo "Error in INSERT query: " . $e->getMessage() . "<br>";
}

// ทดสอบคำสั่ง UPDATE
try {
    $start_update_time = microtime(true);
    $stmt = $pdo->prepare("UPDATE test_table SET value = :value WHERE name = :name");
    $stmt->execute(['value' => 'Updated Value', 'name' => 'Test Name']);
    $end_update_time = microtime(true);
    $update_time = $end_update_time - $start_update_time;
    echo "UPDATE query time: " . ($update_time * 1000) . " ms<br>";
} catch (PDOException $e) {
    echo "Error in UPDATE query: " . $e->getMessage() . "<br>";
}

// ทดสอบคำสั่ง DELETE
try {
    $start_delete_time = microtime(true);
    $stmt = $pdo->prepare("DELETE FROM test_table WHERE name = :name");
    $stmt->execute(['name' => 'Test Name']);
    $end_delete_time = microtime(true);
    $delete_time = $end_delete_time - $start_delete_time;
    echo "DELETE query time: " . ($delete_time * 1000) . " ms<br>";
} catch (PDOException $e) {
    echo "Error in DELETE query: " . $e->getMessage() . "<br>";
}
?>
