<?php
// ตรวจสอบการใช้งาน I/O ในการเขียนไฟล์
$start_time = microtime(true);

// เปิดไฟล์เพื่อเขียน
$filename = 'large_file.txt';
$file = fopen($filename, 'w');

// เขียนข้อมูลลงไฟล์จำนวนมาก (10 ล้านบรรทัด)
for ($i = 0; $i < 10000000; $i++) {
    fwrite($file, "This is line $i\n");
}

// ปิดไฟล์
fclose($file);

// วัดเวลาที่ใช้ในการเขียนไฟล์
$end_time = microtime(true);
$execution_time = $end_time - $start_time;
echo "Time taken to write file: " . number_format($execution_time, 2) . " seconds<br>";

// ตรวจสอบการใช้งาน memory ของ PHP
echo "Memory used: " . number_format(memory_get_usage() / 1024 / 1024, 2) . " MB<br>";

// ตรวจสอบการใช้งาน I/O ในการอ่านไฟล์
$start_time = microtime(true);

// เปิดไฟล์เพื่ออ่าน
$file = fopen($filename, 'r');

// อ่านข้อมูลทีละบรรทัด
while (!feof($file)) {
    $line = fgets($file); // อ่านบรรทัดถัดไป
}

// ปิดไฟล์
fclose($file);

// วัดเวลาที่ใช้ในการอ่านไฟล์
$end_time = microtime(true);
$execution_time = $end_time - $start_time;
echo "Time taken to read file: " . number_format($execution_time, 2) . " seconds<br>";

// ตรวจสอบการใช้งาน memory หลังการอ่านไฟล์
echo "Memory used after reading: " . number_format(memory_get_usage() / 1024 / 1024, 2) . " MB<br>";
?>
