<?php
// วัดการใช้หน่วยความจำเริ่มต้นก่อนการประมวลผล
$start_memory = memory_get_usage();

// สร้างข้อมูลขนาดใหญ่หรือดำเนินการที่ใช้หน่วยความจำมาก
$large_array = range(1, 1000000); // สร้าง array ที่มี 1,000,000 รายการ

// วัดการใช้หน่วยความจำหลังจากการประมวลผล
$end_memory = memory_get_usage();

// วัดการใช้หน่วยความจำสูงสุดขณะประมวลผล
$peak_memory = memory_get_peak_usage();

// คำนวณหน่วยความจำที่ใช้ในการดำเนินการ
$memory_used = $end_memory - $start_memory;

// แปลงหน่วยจาก bytes เป็น MB
$memory_used_mb = $memory_used / 1024 / 1024;
$peak_memory_mb = $peak_memory / 1024 / 1024;

// แสดงผลลัพธ์
echo "Memory used: " . $memory_used_mb . " MB<br>";
echo "Peak memory used: " . $peak_memory_mb . " MB<br>";
?>
